# $Revision: 1.36 $, $Date: 2011/08/31 18:31:38 $
Summary:	AT Computing System and Process Monitor
Summary(pl.UTF-8):	Monitor obciążenia systemu alternatywny dla programu top
Name:		atop
Version:	1.26
Release:	2
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.atoptool.nl/download/%{name}-%{version}.tar.gz
# Source0-md5:	6904325d1cafd3e5145994c8cffa1f99
URL:		http://www.atcomputing.nl/Tools/atop
BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The program atop is an interactive monitor to view the load on a
Linux-system. It shows the occupation of the most critical
hardware-resources (from a performance point of view) on system-level,
i.e. cpu, memory, disk and network. It also shows which processes are
responsible for the indicated load (again cpu-, memory-, disk- and
network-load on process-level).

%description -l pl.UTF-8
Program atop to interaktywny monitor służący do obserwacji obciążenia
systemu linuksowego. Pokazuje zajętość najbardziej krytycznych dla
funkcjonowania systemu zasobów (z wydajnościowego punktu widzenia) na
poziomie systemu, np. procesora, pamięci, dysków czy sieci. Pokazuje
również które procesy są odpowiedzialne za generowane obciążenie
(znów: na poziomie procesora, pamięci, dysków czy sieci).

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="-I/usr/include/ncurses %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/{man1,man5},%{_bindir}}

install man/*.1* $RPM_BUILD_ROOT%{_mandir}/man1/
install man/*.5* $RPM_BUILD_ROOT%{_mandir}/man5/
install atop $RPM_BUILD_ROOT%{_bindir}/atop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHOR ChangeLog README
%attr(755,root,root) %{_bindir}/atop
%{_mandir}/man1/atop*.1*
%{_mandir}/man5/atoprc*.5*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: atop.spec,v $
Revision 1.36  2011/08/31 18:31:38  arekm
- release 2

Revision 1.35  2010/11/01 16:48:00  dirdival
- updated to 1.26

Revision 1.34  2010/05/03 22:12:48  lisu
- new URL for Source0

Revision 1.33  2010/05/03 22:08:14  lisu
- try to generate proper md5

Revision 1.32  2010/05/03 22:05:36  lisu
- proper md5

Revision 1.31  2010/05/03 16:11:43  lisu
- up to 1.25

Revision 1.30  2010/01/24 21:17:29  dirdival
- updated to 1.24
- man5/atoprc.5.gz added

Revision 1.29  2008/03/09 15:29:49  twittner
- up to 1.23

Revision 1.28  2007-11-20 15:37:58  twittner
- up to 1.22

Revision 1.27  2007-08-20 14:48:24  lisu
- 1.21
- new man1 file (atopsar)

Revision 1.26  2007/04/08 13:45:08  shadzik
- 1.20

Revision 1.25  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.23  2007/01/21 22:45:12  qboosh
- removed bogus acct-alpha patch

Revision 1.22  2007/01/18 15:05:58  lisu
- 1.19
- more doc files included

Revision 1.21  2006/04/19 16:29:18  paszczus
- updated to 1.16
- updated URL and Source0
- commented out patch0 (useless?)

Revision 1.20  2005/06/06 14:10:52  zbyniu
- BR: zlib-devel

Revision 1.19  2004/11/04 20:46:03  paladine
- spaces-<tabs

Revision 1.18  2004/10/29 14:34:57  paladine
- pl fixes

Revision 1.17  2004/09/23 18:10:24  paszczus
- updated to 1.13

Revision 1.16  2004/08/10 18:41:26  averne
- rel 2

Revision 1.15  2004/06/10 12:54:31  undefine
- update to 1.12

Revision 1.14  2003/11/19 00:40:34  undefine
- release 2 to rebuild with ac

Revision 1.13  2003/08/06 16:30:30  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.12  2003/07/15 22:14:12  undefine
- update to 1.10

Revision 1.11  2003/05/26 16:24:46  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 05:45:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/06 19:54:57  misiek
- version 1.9

Revision 1.8  2002/12/20 23:11:34  undefine
- updated to 1.8. stbr

Revision 1.7  2002/12/12 01:33:19  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.6  2002/10/20 22:12:01  kloczek
- release 2: changed Group to Applications/System.

Revision 1.5  2002/09/17 12:19:10  jajcus
- Version: 1.6

Revision 1.4  2002/08/28 12:40:56  qboosh
- fixed build on alpha, new %%doc, release 2

Revision 1.3  2002/03/28 23:16:16  kloczek
- use %%{__cc} and %%{rpmcflags} macros during compile.

Revision 1.2  2002/03/28 19:47:13  blues
- some cleanups

Revision 1.1  2002/03/28 17:34:50  kondi
- initial revision (status: WFM)
